Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.common
Interface WLObjectOutput

Deprecated. Use java.io.ObjectOutput instead.

public interface WLObjectOutput
extends java.io.ObjectOutput

This interface, which is the interface implemented by the output streams set up between the WebLogic Server and its clients, is passed as an argument to the `writeObject()` method in the interface WLSerializable.

Methods in this interface can be used by classes implementing the `writeObject()` method in the weblogic.classes.WLSerializable interface.

Author:
  Copyright (c) 1996-1998 WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-2000 BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `WLSerializable.writeObject(weblogic.common.WLObjectOutput)`, `WLObjectInput`

Method Summary
`void` | `writeAbbrevString(java.lang.String s)` Deprecated. Writes a commonly used string value to the output stream the string is abbreviated for greater efficiency.
`void` | `writeArrayList(com.sun.java.util.collections.ArrayList lst)` Deprecated. Writes a com.sun.java.util.collections.ArrayList to the output stream.
`void` | `writeArrayOfConsistentObjects(java.lang.Object[] aoo)` Deprecated. Writes an array of Objects to the output stream where all objects are of the same class.
`void` | `writeArrayOfObjects(java.lang.Object[] aoo)` Deprecated. Writes an array of Objects to the output stream.
`void` | `writeAscii(java.lang.String s)` Deprecated. Writes an ASCII string to the output stream.
`void` | `writeBigDecimal(java.lang.Object val)` Deprecated. Writes a `java.math.BigDecimal` or `xjava.math.BigDecimal` to the stream.
`void` | `writeBitSet(java.util.BitSet b)` Deprecated. Writes a java.util.BitSet to the output stream.
`void` | `writeBooleanArray(boolean[] val)` Deprecated. Writes an array of booleans to the output stream.
`void` | `writeBytes(byte[] val)` Deprecated. Writes an array of bytes to the output stream.
`void` | `writeBytes(byte[] val, int len)` Deprecated. Writes an array of bytes to the output stream.
`void` | `writeCharArray(char[] val)` Deprecated. Writes an array of chars to the output stream.
`void` | `writeDate(java.util.Date dateval)` Deprecated. Writes a java.lang.Date (or its equally famous subclass, java.sql.Date) to the output stream.
`void` | `writeDoubleArray(double[] val)` Deprecated. Writes an array of doubles to the output stream.
`void` | `writeDoubler(double v)` Deprecated. Writes a double to the output stream.
`void` | `writeException(java.lang.Exception e)` Deprecated. Writes an java.lang.Exception to the output stream.
`void` | `writeFloatArray(float[] val)` Deprecated. Writes an array of floats to the output stream.
`void` | `writeFloater(float v)` Deprecated. Writes a float to the output stream.
`void` | `writeHashtable(java.util.Hashtable ht)` Deprecated. Writes a java.util.Hashtable to the output stream.
`void` | `writeIntArray(int[] val)` Deprecated. Writes an array of ints to the output stream.
`void` | `writeInteger(int v)` Deprecated. Writes an int to the output stream.
`void` | `writeLongArray(long[] val)` Deprecated. Writes an array of longs to the output stream.
`void` | `writeLonger(long v)` Deprecated. Writes a long to the output stream.
`void` | `writeObjectWL(java.lang.Object o)` Deprecated. Writes a WebLogic serializable object to the output stream.
`void` | `writeParamSet(ParamSet ps)` Deprecated. Writes a weblogic.common.ParamSet to the output stream.
`void` | `writeProperties(java.util.Properties propval)` Deprecated. Writes a java.util.Properties to the output stream.
`void` | `writeShortArray(short[] val)` Deprecated. Writes an array of shorts to the output stream.
`void` | `writeShorter(short v)` Deprecated. Writes a short to the output stream.
`void` | `writeString(java.lang.String s)` Deprecated. Writes a java.lang.String to the output stream.
`void` | `writeTimestamp(java.lang.Object val)` Deprecated. Writes a `java.sql.Timestamp` or `xjava.sql.Timestamp` to the stream.
`void` | `writeVector(java.util.Vector v)` Deprecated. Writes a java.util.Vector to the output stream.

Methods inherited from interface java.io.ObjectOutput
`close, flush, write, write, write, writeObject`

Methods inherited from interface java.io.DataOutput
`writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Method Detail

### writeObjectWL

    public void writeObjectWL(java.lang.Object o)
                       throws java.io.IOException

  Deprecated.
  Writes a WebLogic serializable object to the output stream.

  Parameters:
    `o` - Object to be written

### writeAscii

    public void writeAscii(java.lang.String s)
                    throws java.io.IOException

  Deprecated.
  Writes an ASCII string to the output stream. This only sends the lower byte of each character.

  Parameters:
    `s` - String to be written

### writeString

    public void writeString(java.lang.String s)
                     throws java.io.IOException

  Deprecated.
  Writes a java.lang.String to the output stream.

  Parameters:
    `s` - String to be written

### writeParamSet

    public void writeParamSet(ParamSet ps)
                       throws java.io.IOException

  Deprecated.
  Writes a weblogic.common.ParamSet to the output stream.

  Parameters:
    `ps` - ParamSet to be written

### writeException

    public void writeException(java.lang.Exception e)
                        throws java.io.IOException

  Deprecated.
  Writes an java.lang.Exception to the output stream.

  Parameters:
    `e` - Exception to be written

### writeDate

    public void writeDate(java.util.Date dateval)
                   throws java.io.IOException

  Deprecated.
  Writes a java.lang.Date (or its equally famous subclass, java.sql.Date) to the output stream.

  Parameters:
    `dateval` - Date to be written

### writeVector

    public void writeVector(java.util.Vector v)
                     throws java.io.IOException

  Deprecated.
  Writes a java.util.Vector to the output stream.

  Parameters:
    `v` - Vector to be written

### writeArrayList

    public void writeArrayList(com.sun.java.util.collections.ArrayList lst)
                        throws java.io.IOException

  Deprecated.
  Writes a com.sun.java.util.collections.ArrayList to the output stream.

  Parameters:
    `lst` - ArrayList to be written

### writeBitSet

    public void writeBitSet(java.util.BitSet b)
                     throws java.io.IOException

  Deprecated.
  Writes a java.util.BitSet to the output stream.

  Parameters:
    `b` - BitSet to be written

### writeHashtable

    public void writeHashtable(java.util.Hashtable ht)
                        throws java.io.IOException

  Deprecated.
  Writes a java.util.Hashtable to the output stream.

  Parameters:
    `ht` - Hashtable to be written

### writeProperties

    public void writeProperties(java.util.Properties propval)
                         throws java.io.IOException

  Deprecated.
  Writes a java.util.Properties to the output stream.

  Parameters:
    `propval` - Properties object to be written

### writeTimestamp

    public void writeTimestamp(java.lang.Object val)
                        throws java.io.IOException

  Deprecated.
  Writes a `java.sql.Timestamp` or `xjava.sql.Timestamp` to the stream. This method takes an Object as its argument so it can take either the `java.sql.Timestamp` or `xjava.sql.Timestamp`. Which type it actually accepts depends on which streams have been set up between the WebLogic Server and T3Client which depends on whether the T3Client was constructed with "usexjava" set to true or false (default is true).

  Parameters:
    `val` - Timestamp value to be written

### writeBigDecimal

    public void writeBigDecimal(java.lang.Object val)
                         throws java.io.IOException

  Deprecated.
  Writes a `java.math.BigDecimal` or `xjava.math.BigDecimal` to the stream. This method takes an Object as it's argument so it can take either the `java.math` or `xjava.math` BigDecimal. Which type it actually accepts depends on which streams have been set up between the WebLogic Server and T3Client which depends on whether the T3Client was constructed with "usexjava" set to true or false (default is true).

  Parameters:
    `val` - BigDecimal value to be written

### writeBytes

    public void writeBytes(byte[] val)
                    throws java.io.IOException

  Deprecated.
  Writes an array of bytes to the output stream.

  Parameters:
    `val` - Value to be written
  Throws:
    java.io.IOException - if there is a serialization error

### writeBytes

    public void writeBytes(byte[] val,
                           int len)
                    throws java.io.IOException

  Deprecated.
  Writes an array of bytes to the output stream.

  Parameters:
    `val` - Value to be written
    `len` - length of array
  Throws:
    java.io.IOException - if there is a serialization error

### writeBooleanArray

    public void writeBooleanArray(boolean[] val)
                           throws java.io.IOException

  Deprecated.
  Writes an array of booleans to the output stream.

  Parameters:
    `val` - Value to be written
  Throws:
    java.io.IOException - if there is a serialization error

### writeCharArray

    public void writeCharArray(char[] val)
                        throws java.io.IOException

  Deprecated.
  Writes an array of chars to the output stream.

  Parameters:
    `val` - Value to be written
  Throws:
    java.io.IOException - if there is a serialization error

### writeDoubleArray

    public void writeDoubleArray(double[] val)
                          throws java.io.IOException

  Deprecated.
  Writes an array of doubles to the output stream.

  Parameters:
    `val` - Value to be written
  Throws:
    java.io.IOException - if there is a serialization error

### writeFloatArray

    public void writeFloatArray(float[] val)
                         throws java.io.IOException

  Deprecated.
  Writes an array of floats to the output stream.

  Parameters:
    `val` - Value to be written
  Throws:
    java.io.IOException - if there is a serialization error

### writeIntArray

    public void writeIntArray(int[] val)
                       throws java.io.IOException

  Deprecated.
  Writes an array of ints to the output stream.

  Parameters:
    `val` - Value to be written
  Throws:
    java.io.IOException - if there is a serialization error

### writeShortArray

    public void writeShortArray(short[] val)
                         throws java.io.IOException

  Deprecated.
  Writes an array of shorts to the output stream.

  Parameters:
    `val` - Value to be written
  Throws:
    java.io.IOException - if there is a serialization error

### writeLongArray

    public void writeLongArray(long[] val)
                        throws java.io.IOException

  Deprecated.
  Writes an array of longs to the output stream.

  Parameters:
    `val` - Value to be written
  Throws:
    java.io.IOException - if there is a serialization error

### writeArrayOfObjects

    public void writeArrayOfObjects(java.lang.Object[] aoo)
                             throws java.io.IOException

  Deprecated.
  Writes an array of Objects to the output stream.

  Parameters:
    `aoo` - Value to be written
  Throws:
    java.io.IOException - if there is a serialization error

### writeArrayOfConsistentObjects

    public void writeArrayOfConsistentObjects(java.lang.Object[] aoo)
                                       throws java.io.IOException

  Deprecated.
  Writes an array of Objects to the output stream where all objects are of the same class.

  Parameters:
    `aoo` - Value to be written
  Throws:
    java.io.IOException - if there is a serialization error

### writeFloater

    public void writeFloater(float v)
                      throws java.io.IOException

  Deprecated.
  Writes a float to the output stream.

  Parameters:
    `v` - Value to be written
  Throws:
    java.io.IOException - if there is a serialization error

### writeInteger

    public void writeInteger(int v)
                      throws java.io.IOException

  Deprecated.
  Writes an int to the output stream.

  Parameters:
    `v` - Value to be written
  Throws:
    java.io.IOException - if there is a serialization error

### writeShorter

    public void writeShorter(short v)
                      throws java.io.IOException

  Deprecated.
  Writes a short to the output stream.

  Parameters:
    `v` - Value to be written
  Throws:
    java.io.IOException - if there is a serialization error

### writeDoubler

    public void writeDoubler(double v)
                      throws java.io.IOException

  Deprecated.
  Writes a double to the output stream.

  Parameters:
    `v` - Value to be written
  Throws:
    java.io.IOException - if there is a serialization error

### writeLonger

    public void writeLonger(long v)
                     throws java.io.IOException

  Deprecated.
  Writes a long to the output stream.

  Parameters:
    `v` - Value to be written
  Throws:
    java.io.IOException - if there is a serialization error

### writeAbbrevString

    public void writeAbbrevString(java.lang.String s)
                           throws java.io.IOException

  Deprecated.
  Writes a commonly used string value to the output stream the string is abbreviated for greater efficiency. The deserialization code must use readAbbrevString() to deserialize the string

  Parameters:
    `s` - String to be written
  Throws:
    java.io.IOException - if there is an error during serialization

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD